AccessType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.cache.spi.access
Enum AccessType

    java.lang.Object
      java.lang.Enum<AccessType>
          org.hibernate.cache.spi.access.AccessType

All Implemented Interfaces:
  Serializable, Comparable<AccessType>

    public enum AccessType

extends Enum<AccessType>

The types of access strategies available.

Enum Constant Summary
`NONSTRICT_READ_WRITE`
`READ_ONLY`
`READ_WRITE`
`TRANSACTIONAL`

Method Summary
`static AccessType` | `fromExternalName(String externalName)`
`String` | `getExternalName()`
`String` | `toString()`
`static AccessType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccessType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ_ONLY

    public static final AccessType READ_ONLY

### READ_WRITE

    public static final AccessType READ_WRITE

### NONSTRICT_READ_WRITE

    public static final AccessType NONSTRICT_READ_WRITE

### TRANSACTIONAL

    public static final AccessType TRANSACTIONAL

Method Detail

### values

    public static AccessType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AccessType c : AccessType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AccessType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getExternalName

    public String getExternalName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<AccessType>`

### fromExternalName

    public static AccessType fromExternalName(String externalName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.